Bug 145172 - _libc_close not exported in libc - RHEL 4
_libc_close not exported in libc - RHEL 4
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-14 18:02 EST by Neena Bhatnagar
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-15 04:14:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Neena Bhatnagar 2005-01-14 18:02:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; rv:1.7.3)
Gecko/20041001 Firefox/0.10.1

Description of problem:
When we try to link OWS with the 32 bit/64 bit  IPC library, the ipc
library gives out the error that __libc_close is undefined.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Linking with a library( in our case we have an IPC library with OWS)
it fails with a message _libc_close is undefined.
    

Additional info:
Comment 1 Jakub Jelinek 2005-01-15 04:14:51 EST
That just means the IPC library is buggy, uses glibc private symbols which is
not allowed.  In RHEL3, __libc_close was exported, but with @@GLIBC_PRIVATE
symbol version that is reserved solely for glibc's own use.
For @@GLIBC_PRIVATE symbols there are no ABI guarantees, they can be added
or removed or change calling conventions at any time, as nothing outside of
glibc itself should ever use it.  As glibc itself no longer needed __libc_close,
it is not exported any longer.

If you build a rpm package that has binaries or shared libraries using
GLIBC_PRIVATE symbols, rpm will make sure you can't install that package
to catch such bugs.  But if you use some other packaging system, you need to
QA libraries and binaries from using glibc private things yourself.

Note You need to log in before you can comment on or make changes to this bug.